# class DBus::IntrospectXMLParser::NokogiriParser

### Public Class Methods

new(xml) click to toggle source

       # File lib/dbus/xml.rb
    67 def initialize(xml)
    68   @doc = Nokogiri.XML(xml)
    69 end

### Public Instance Methods

each(path, &block) click to toggle source

       # File lib/dbus/xml.rb
    71 def each(path, &block)
    72   @doc.search("//#{path}").each { |node| block.call NokogiriNode.new(node) }
    73 end